Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class UserFacingIcon

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.UserFacingIcon

All Implemented Interfaces:
  AVList, WWIcon, PropertyChangeListener, EventListener

Direct Known Subclasses:
  Pedestal

    public class UserFacingIcon

extends AVListImpl
implements WWIcon

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`UserFacingIcon(String iconPath, Position iconPosition)`

Method Summary
`double` | `getHighlightScale()`
`String` | `getPath()`
`Position` | `getPosition()`
`Dimension` | `getSize()`
`Font` | `getToolTipFont()`
`String` | `getToolTipText()`
`Color` | `getToolTipTextColor()`
`boolean` | `isHighlighted()`
`boolean` | `isShowToolTip()`
`boolean` | `isVisible()`
`void` | `setHighlighted(boolean highlighted)`
`void` | `setHighlightScale(double highlightScale)`
`void` | `setPosition(Position iconPosition)`
`void` | `setShowToolTip(boolean showToolTip)`
`void` | `setSize(Dimension size)`
`void` | `setToolTipFont(Font toolTipFont)`
`void` | `setToolTipText(String toolTipText)`
`void` | `setToolTipTextColor(Color textColor)`
`void` | `setVisible(boolean visible)`
`String` | `toString()`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserFacingIcon

    public UserFacingIcon(String iconPath,
                          Position iconPosition)

Method Detail

### getHighlightScale

    public double getHighlightScale()

  Specified by:
    `getHighlightScale` in interface `WWIcon`

### getPath

    public String getPath()

  Specified by:
    `getPath` in interface `WWIcon`

### getPosition

    public Position getPosition()

  Specified by:
    `getPosition` in interface `WWIcon`

### getSize

    public Dimension getSize()

  Specified by:
    `getSize` in interface `WWIcon`

### getToolTipFont

    public Font getToolTipFont()

  Specified by:
    `getToolTipFont` in interface `WWIcon`

### getToolTipText

    public String getToolTipText()

  Specified by:
    `getToolTipText` in interface `WWIcon`

### getToolTipTextColor

    public Color getToolTipTextColor()

  Specified by:
    `getToolTipTextColor` in interface `WWIcon`

### isHighlighted

    public boolean isHighlighted()

  Specified by:
    `isHighlighted` in interface `WWIcon`

### isShowToolTip

    public boolean isShowToolTip()

  Specified by:
    `isShowToolTip` in interface `WWIcon`

### isVisible

    public boolean isVisible()

  Specified by:
    `isVisible` in interface `WWIcon`

### setHighlighted

    public void setHighlighted(boolean highlighted)

  Specified by:
    `setHighlighted` in interface `WWIcon`

### setHighlightScale

    public void setHighlightScale(double highlightScale)

  Specified by:
    `setHighlightScale` in interface `WWIcon`

### setPosition

    public void setPosition(Position iconPosition)

  Specified by:
    `setPosition` in interface `WWIcon`

### setShowToolTip

    public void setShowToolTip(boolean showToolTip)

  Specified by:
    `setShowToolTip` in interface `WWIcon`

### setSize

    public void setSize(Dimension size)

  Specified by:
    `setSize` in interface `WWIcon`

### setToolTipFont

    public void setToolTipFont(Font toolTipFont)

  Specified by:
    `setToolTipFont` in interface `WWIcon`

### setToolTipText

    public void setToolTipText(String toolTipText)

  Specified by:
    `setToolTipText` in interface `WWIcon`

### setToolTipTextColor

    public void setToolTipTextColor(Color textColor)

  Specified by:
    `setToolTipTextColor` in interface `WWIcon`

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `WWIcon`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD